Foreman - Feature #5221

Foreman should provide a helper method to allow an instance of a model to ask if the instance is
authorized for a given permission.

04/17/2014 03:18 AM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Users, Roles and Permissions
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/543
Description

Associated revisions

Revision cf2e77a5 - 05/19/2014 06:34 AM - Eric Helms

Fixes #5221: Adds a helper method to allow a model instance to inquire if the instance is authorized for a particular permission.
Model instances can be asked directly if they are authorized for a particular
permission by, for example, calling 'instance.authorized?(:view_model)'. This

abstracts and centralizes some of the repetitiveness of having to instantiate
an authorizer and pass the instance to the 'can?' method as the object of inquiry.

History

#1 - 04/18/2014 01:43 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 04/18/2014 07:04 AM - Marek Hulan
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1384

#3 - 04/18/2014 03:03 PM - Dominic Cleal
- Assignee set to Eric Helms

- Target version set to 1.8.4

#4 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#6 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#7 - 05/19/2014 06:54 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#8 - 05/19/2014 07:31 AM - Eric Helms
- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1384

- % Done changed from 0 to 100
Applied in changeset cf2e77a56fd14aa568a85ad8d66a4a80c9f670f4.

#9 - 08/20/2015 03:23 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/5430 added
